/* Generated By:JJTree: Do not edit this line. ASTMacroExpression.java Version 6.0 */
/* JavaCCOptions:MULTI=true,NODE_USES_PARSER=false,VISITOR=false,TRACK_TOKENS=false,NODE_PREFIX=AST,NODE_EXTENDS=,NODE_FACTORY=,SUPPORT_CLASS_VISIBILITY_PUBLIC=true */
package fr.inria.alpage.frmgcm.dpp;

public
class ASTMacroExpression extends SimpleNode {
  public ASTMacroExpression(int id) {
    super(id);
  }

  public ASTMacroExpression(DPathParser p, int id) {
    super(p, id);
  }

  public String name = "";
  
  public void setName(String image) {
    name = image;
    
  }
  
  public String toString() {
    return DPathParserTreeConstants.jjtNodeName[id]+ " : "+name;
  }
}
/* JavaCC - OriginalChecksum=a87e2c77b44e23a578548cf0d7dc5367 (do not edit this line) */
